Part Point

From FreeCAD Documentation
Revision as of 10:27, 3 March 2022 by Roy 043 (talk | contribs) (Marked this version for translation)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎čeština • ‎русский
Arrow-left.svg Previous: Part Ellipse.svg Ellipse
Next: Line Part Line.svg Arrow-right.svg

Part Point.svg Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Point.svg Part Point is a parametric point that can be created with the Part Primitives.svg Part Primitives command. Its coordinates are relative to the coordinate system defined by its DataPlacement property.

Usage

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DataX (Distance): The X coordinate of the point. The default is 0mm.
  • DataY (Distance): The Y coordinate of the point. The default is 0mm.
  • DataZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()


Arrow-left.svg Previous: Part Ellipse.svg Ellipse
Next: Line Part Line.svg Arrow-right.svg